- # this is how we check if cookies are enabled without
- # relying on javascript. the login form should always
- # try to set this flag in the session. if it is not set
- # in the login post, then we know cookies are not enabled
- session[:cookies_are_enabled] = true

= form_with(url: auth_app.session_path, method: 'post') do
  .mb-3
    - if AuthApp.login_is_email
      = label_tag('login', t(:email), class: 'form-label')
    - else
      = label_tag('login', t(:username_or_email), class: 'form-label')
    = text_field_tag('login', params[:login], class: 'form-control', autofocus: true)
  .mb-3
    = label_tag('password', t(:password), class: 'form-label')
    = password_field_tag('password', params[:password], class: 'form-control')
  .btn-toolbar
    = button_tag(type: 'submit', class:'btn btn-success') do
      = t(:log_in)

.mt-3.text-center.small
  - if AuthApp.login_is_email
    = link_to t(:forgot_your_password), auth_app.reset_with_email_path
  - else
    = link_to t(:forgot_your_password), auth_app.reset_with_code_path

